> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Patient Select Details

> Retrieve open orders by request ID.



## OpenAPI

````yaml get /abdm/v1/profile/scan-and-pay/patient-select/{request_id}
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/v1/profile/scan-and-pay/patient-select/{request_id}:
    get:
      description: Retrieve open orders by request ID.
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
        - description: Request ID
          in: path
          name: request_id
          required: true
          schema:
            description: Request ID
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      abha_address:
                        type: string
                      error:
                        $ref: '#/components/schemas/ScanAndPayErrorCodeMessage'
                      intent:
                        type: string
                      payment_bundle:
                        $ref: '#/components/schemas/ScanAndPayPaymentEka'
                      procedures:
                        items:
                          $ref: '#/components/schemas/ScanAndPayProcedures'
                        type: array
                    type: object
                  request_id:
                    type: string
                  status:
                    enum:
                      - REQUESTED_OPEN_ORDER
                      - ' PROCESSING_OPEN_ORDER'
                      - ' REQUESTED_PATIENT_SELECT'
                      - ' PROCESSING_PATIENT_SELECT'
                      - ' PROCESSING_PATIENT_NOTIFY'
                      - ' REQUESTING_PATIENT_NOTIFY'
                      - ' ERROR'
                    examples:
                      - PROCESSING_PATIENT_SELECT
                    type: string
                type: object
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    ScanAndPayErrorCodeMessage:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
    ScanAndPayPaymentEka:
      properties:
        amount:
          type: number
        description:
          type: string
        merchant_id:
          type: string
        order_number:
          type: string
        payment_mode:
          type: string
        payment_url:
          type: string
      type: object
    ScanAndPayProcedures:
      properties:
        category:
          type: string
        services:
          items:
            $ref: '#/components/schemas/ScanAndPayService'
          type:
            - array
            - 'null'
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    ScanAndPayService:
      properties:
        amount:
          type: number
        description:
          type: string
        name:
          type: string
        serviceId:
          type: string
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````